## targetcli-fb 2.1.43

=== Makefile ===
PKGNAME = targetcli-fb
NAME = targetcli
GIT_BRANCH = $$(git branch | grep \* | tr -d \*)
VERSION = $$(basename $$(git describe --tags | tr - . | sed 's/^v//'))

all:
	@echo "Usage:"
	@echo
	@echo "  make deb         - Builds debian packages."
	@echo "  make rpm         - Builds rpm packages."
	@echo "  make release     - Generates the release tarball."
	@echo
	@echo "  make clean       - Cleanup the local repository build files."
	@echo "  make cleanall    - Also remove dist/*"

clean:
	@rm -fv ${NAME}/*.pyc ${NAME}/*.html
	@rm -frv doc
	@rm -frv ${NAME}.egg-info MANIFEST build
	@rm -frv debian/tmp
	@rm -fv build-stamp
	@rm -fv dpkg-buildpackage.log dpkg-buildpackage.version
	@rm -frv *.rpm
	@rm -fv debian/files debian/*.log debian/*.substvars
	@rm -frv debian/${PKGNAME}-doc/ debian/python2.5-${PKGNAME}/
	@rm -frv debian/python2.6-${PKGNAME}/ debian/python-${PKGNAME}/
	@rm -frv results
	@rm -fv rpm/*.spec *.spec rpm/sed* sed*
	@rm -frv ${NAME}-*
	@rm -frv *.rpm warn${NAME}.txt build${NAME}
	@rm -fv debian/*.debhelper.log debian/*.debhelper debian/*.substvars debian/files
	@rm -fvr debian/${NAME}-frozen/ debian/${NAME}-python2.5/
	@rm -fvr debian/${NAME}-python2.6/ debian/${NAME}/ debian/${NAME}-doc/
	@rm -frv log/
	@echo "Finished cleanup."

cleanall: clean
	@rm -frv dist

release: build/release-stamp
build/release-stamp:
	@mkdir -p build
	@echo "Exporting the repository files..."
	@git archive ${GIT_BRANCH} --prefix ${PKGNAME}-${VERSION}/ \
		| (cd build; tar xfp -)
	@echo "Cleaning up the target tree..."
	@rm -f build/${PKGNAME}-${VERSION}/Makefile
	@rm -f build/${PKGNAME}-${VERSION}/.gitignore
	@rm -rf build/${PKGNAME}-${VERSION}/bin
	@echo "Fixing version string..."
	@sed -i "s/__version__ = .*/__version__ = '${VERSION}'/g" \
		build/${PKGNAME}-${VERSION}/${NAME}/__init__.py
	@echo "Generating rpm specfile from template..."
	@cd build/${PKGNAME}-${VERSION}; \
		for spectmpl in rpm/*.spec.tmpl; do \
			sed -i "s/Version:\( *\).*/Version:\1${VERSION}/g" $${spectmpl}; \
			mv $${spectmpl} $$(basename $${spectmpl} .tmpl); \
		done; \
		rmdir rpm
	@echo "Generating rpm changelog..."
	@( \
		version=${VERSION}; \
		author=$$(git show HEAD --format="format:%an <%ae>" -s); \
		date=$$(git show HEAD --format="format:%ad" -s \
			| awk '{print $$1,$$2,$$3,$$5}'); \
		hash=$$(git show HEAD --format="format:%H" -s); \
	   	echo '* '"$${date} $${author} $${version}-1"; \
		echo "  - Generated from git commit $${hash}."; \
	) >> $$(ls build/${PKGNAME}-${VERSION}/*.spec)
	@echo "Generating debian changelog..."
	@( \
		version=${VERSION}; \
		author=$$(git show HEAD --format="format:%an <%ae>" -s); \
		date=$$(git show HEAD --format="format:%aD" -s); \
		day=$$(git show HEAD --format='format:%ai' -s \
			| awk '{print $$1}' \
			| awk -F '-' '{print $$3}' | sed 's/^0/ /g'); \
		date=$$(echo $${date} \
			| awk '{print $$1, "'"$${day}"'", $$3, $$4, $$5, $$6}'); \
		hash=$$(git show HEAD --format="format:%H" -s); \
		echo "${PKGNAME} ($${version}) unstable; urgency=low"; \
		echo; \
		echo "  * Generated from git commit $${hash}."; \
		echo; \
		echo " -- $${author}  $${date}"; \
		echo; \
	) > build/${PKGNAME}-${VERSION}/debian/changelog
	@find build/${PKGNAME}-${VERSION}/ -exec \
		touch -t $$(date -d @$$(git show -s --format="format:%at") \
			+"%Y%m%d%H%M.%S") {} \;
	@mkdir -p dist
	@cd build; tar -c --owner=0 --group=0 --numeric-owner \
		--format=gnu -b20 --quoting-style=escape \
		-f ../dist/${PKGNAME}-${VERSION}.tar \
		$$(find ${PKGNAME}-${VERSION} -type f | sort)
	@gzip -6 -n dist/${PKGNAME}-${VERSION}.tar
	@echo "Generated release tarball:"
	@echo "    $$(ls dist/${PKGNAME}-${VERSION}.tar.gz)"
	@touch build/release-stamp

deb: release build/deb-stamp
build/deb-stamp:
	@echo "Building debian packages..."
	@cd build/${PKGNAME}-${VERSION}; \
		dpkg-buildpackage -rfakeroot -us -uc
	@mv build/*_${VERSION}_*.deb dist/
	@echo "Generated debian packages:"
	@for pkg in $$(ls dist/*_${VERSION}_*.deb); do echo "  $${pkg}"; done
	@touch build/deb-stamp

rpm: release build/rpm-stamp
build/rpm-stamp:
	@echo "Building rpm packages..."
	@mkdir -p build/rpm
	@build=$$(pwd)/build/rpm; dist=$$(pwd)/dist/; rpmbuild \
		--define "_topdir $${build}" --define "_sourcedir $${dist}" \
		--define "_rpmdir $${build}" --define "_buildir $${build}" \
		--define "_srcrpmdir $${build}" -ba build/${PKGNAME}-${VERSION}/*.spec
	@mv build/rpm/*-${VERSION}*.src.rpm dist/
	@mv build/rpm/*/*-${VERSION}*.rpm dist/
	@echo "Generated rpm packages:"
	@for pkg in $$(ls dist/*-${VERSION}*.rpm); do echo "  $${pkg}"; done
	@touch build/rpm-stamp

=== debian/changelog ===
targetcli-fb (2.1.43-1) unstable; urgency=medium

  [ Christophe Vu-Brugier ]
  * Initial release. (Closes: #838862)

  [ Christian Seiler ]
  * [d18ada9] Use /etc/rtslib-fb-target instead of /etc/target for now
  * [07822ce] debian/control: change maintainer to new LIO target
    packaging mailing list

 -- Christophe Vu-Brugier <cvubrugier@fastmail.fm>  Sat, 24 Sep 2016 21:41:56 +0200

=== debian/control ===
Source: targetcli-fb
Section: admin
Priority: optional
Maintainer: Debian LIO Target Packagers <linux-target-packaging@lists.alioth.debian.org>
Uploaders: Christophe Vu-Brugier <cvubrugier@fastmail.fm>,
           Ritesh Raj Sarraf <rrs@debian.org>,
           Christian Seiler <christian@iwakd.de>
Build-Depends: debhelper (>= 9),
               dh-python,
               python3-all,
               python3-configshell-fb,
               python3-dbus,
               python3-rtslib-fb,
               python3-setuptools,
               python3-six
Standards-Version: 3.9.8
Homepage: https://github.com/open-iscsi/targetcli-fb
Vcs-Git: https://anonscm.debian.org/git/linux-target/targetcli-fb.git -b debian/master
Vcs-Browser: https://anonscm.debian.org/cgit/linux-target/targetcli-fb.git

Package: targetcli-fb
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-configshell-fb,
         python3-dbus,
         python3-rtslib-fb,
         python3-six,
Conflicts: targetcli, lio-utils
Description: Command shell for managing the Linux LIO kernel target
 The targetcli-fb package is a command-line interface for configuring
 the LIO generic SCSI target, present in 3.x Linux kernel versions.
 .
 The targetcli-fb package is a fork of the "targetcli" code written by
 RisingTide Systems. The "-fb" differentiates between the original and
 this version. Please ensure to use either all "fb" versions of the
 targetcli components -- targetcli, rtslib, and configshell, or stick
 with all non-fb versions, since they are no longer strictly
 compatible.

=== debian/watch ===
version=4
opts="uversionmangle=s/fb//" \
https://fedorahosted.org/releases/t/a/targetcli-fb/ targetcli-fb-([\d]+\.[\d]+\.fb[\d]+)\.tar\.gz

## targetcli-fb 2.1.48

=== debian/changelog ===
targetcli-fb (2.1.48-2) unstable; urgency=medium

  * Fix backing store creation. Patch cherry-picked from upstream.
    Thanks to Valentin Vidic (Closes: #908621)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Mon, 17 Sep 2018 21:22:32 +0545

targetcli-fb (2.1.48-1) unstable; urgency=medium

  * d/compat: upgrade debhelper compatibility level to 11
  * d/control: update standards version to 4.2.1
  * d/control: depend on rtslib-fb being at least version 2.1.62
  * d/control: replace DBUS dependency with Python GObject introspection
  * d/patches: rediff patches
  * d/patches: remove patches already merged upstream
  * New upstream version

 -- Christophe Vu-Brugier <cvubrugier@fastmail.fm>  Tue, 28 Aug 2018 22:15:11 +0200

targetcli-fb (2.1.43-2) unstable; urgency=medium

  [ Christian Seiler ]
  * Make sure old config backup directory exists. (Closes: #858459)

  [ Christophe Vu-Brugier ]
  * d/watch: fix the watch file to download from GitHub
  * d/watch: remove "fb" from the version number

  [ Ritesh Raj Sarraf ]
  * Switch packaging to Salsa
  * Set maintainer address to tracker (Closes: #899709)

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 15 Jun 2018 17:14:27 +0545

=== debian/control ===
--- 
+++ 
@@ -1,30 +1,30 @@
 Source: targetcli-fb
 Section: admin
 Priority: optional
-Maintainer: Debian LIO Target Packagers <linux-target-packaging@lists.alioth.debian.org>
+Maintainer: Debian LIO Target Packagers <team+linux-blocks@tracker.debian.org>
 Uploaders: Christophe Vu-Brugier <cvubrugier@fastmail.fm>,
            Ritesh Raj Sarraf <rrs@debian.org>,
            Christian Seiler <christian@iwakd.de>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 11),
                dh-python,
                python3-all,
                python3-configshell-fb,
-               python3-dbus,
-               python3-rtslib-fb,
+               python3-gi,
+               python3-rtslib-fb (>= 2.1.62),
                python3-setuptools,
                python3-six
-Standards-Version: 3.9.8
+Standards-Version: 4.2.1
 Homepage: https://github.com/open-iscsi/targetcli-fb
-Vcs-Git: https://anonscm.debian.org/git/linux-target/targetcli-fb.git -b debian/master
-Vcs-Browser: https://anonscm.debian.org/cgit/linux-target/targetcli-fb.git
+Vcs-Git: https://salsa.debian.org/linux-blocks-team/targetcli-fb.git
+Vcs-Browser: https://salsa.debian.org/linux-blocks-team/targetcli-fb.git
 
 Package: targetcli-fb
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
          python3-configshell-fb,
-         python3-dbus,
-         python3-rtslib-fb,
+         python3-gi,
+         python3-rtslib-fb (>= 2.1.62),
          python3-six,
 Conflicts: targetcli, lio-utils
 Description: Command shell for managing the Linux LIO kernel target

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 -Spybuild

=== debian/watch ===
version=4
opts=uversionmangle=s/fb//,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/targetcli-fb-$1\.tar\.gz/ \
  https://github.com/open-iscsi/targetcli-fb/releases .*/v?(\d\S+)\.tar\.gz

## targetcli-fb 2.1.51

=== debian/changelog ===
targetcli-fb (1:2.1.51-0ubuntu1) focal; urgency=medium

  [ Rafael David Tinoco ]
  * New upstream version 2.1.51
    - Upstream changed their versioning scheme in a way that makes the
      latest version lower than the previous one therefore we had to add
      an epoch bump.
  * debian/watch: fix the watch file for upstream versions without fb.

  [ Christian Ehrhardt ]
  * This now provides an optional daemon targetclid to be used for
    operations at scale to retain state between commands in memory.
    - d/manpages: install targetclid man page
    - d/rules: install and enable targetclid service and socket

 -- Rafael David Tinoco <rafaeldtinoco@ubuntu.com>  Thu, 27 Feb 2020 02:30:18 +0000

targetcli-fb (2.1.fb49-1) unstable; urgency=medium

  * New upstream version 2.1.fb49
  * Refresh patch
  * Fix Vcs URL canonical link

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 02 Aug 2019 20:45:40 +0530

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 -Spybuild

override_dh_installsystemd:
	# helper for the cli, not an individual entity, keeping it within main pkg
	dh_installsystemd -ptargetcli-fb --name=targetclid --no-restart-on-upgrade --no-start targetclid.service
	dh_installsystemd -ptargetcli-fb --name=targetclid --no-restart-on-upgrade targetclid.socket

override_dh_install:
	# not (yet) installed by upstream but required
	cp -v systemd/targetclid.service debian/targetcli-fb.targetclid.service
	cp -v systemd/targetclid.socket debian/targetcli-fb.targetclid.socket
	dh_install

=== debian/watch ===
version=4
opts=uversionmangle=s/fb//,dversionmangle=s/fb//,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/targetcli-fb-$1\.tar\.gz/ \
  https://github.com/open-iscsi/targetcli-fb/releases .*/v?(\d\S+)\.tar\.gz

## targetcli-fb 2.1.53

=== debian/changelog ===
targetcli-fb (1:2.1.53-1.3) unstable; urgency=medium

  * Non-maintainer upload.

  [Fiona Ebner]
  * fix Python exception when creating LUNs with ACLs present (Closes: #1109887)

 -- Fabian Grünbichler <debian@fabian.gruenbichler.email>  Sat, 26 Jul 2025 09:27:03 +0200

targetcli-fb (1:2.1.53-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Install systemd units into /usr.

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 25 May 2024 10:20:10 +0200

targetcli-fb (1:2.1.53-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:51:47 +0200

targetcli-fb (1:2.1.53-1) unstable; urgency=medium

  [ Ritesh Raj Sarraf ]
  * Don't hardcode the python minor version

  [ Rafael David Tinoco ]
  * New upstream version 2.1.53
  * No more "fb" in versioning: requires epoch bump
  * d/rules: adjust rules for build, install, man, docs and systemd
  * Add basic DEP8 coverage

 -- Ritesh Raj Sarraf <rrs@debian.org>  Fri, 22 Jan 2021 20:59:16 +0530

=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
 Standards-Version: 4.2.1
 Homepage: https://github.com/open-iscsi/targetcli-fb
 Vcs-Git: https://salsa.debian.org/linux-blocks-team/targetcli-fb.git
-Vcs-Browser: https://salsa.debian.org/linux-blocks-team/targetcli-fb.git
+Vcs-Browser: https://salsa.debian.org/linux-blocks-team/targetcli-fb
 
 Package: targetcli-fb
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE=1

include /usr/share/dpkg/default.mk

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_build:
	pybuild --configure
	pybuild --build

override_dh_auto_install:
	pybuild --install

override_dh_auto_clean:
	rm -rf .pybuild/
	rm -rf build/
	rm -rf *.egg-info/

override_dh_installman:
	dh_installman targetcli.8
	dh_installman targetclid.8

override_dh_installdocs:
	dh_installdocs README.md
	dh_installdocs THANKS
	dh_installdocs COPYING

override_dh_installsystemd:
	dh_installsystemd \
		--no-stop-on-upgrade --no-enable --no-start \
		targetclid.service

## targetcli-fb 3.0.1

=== debian/changelog ===
targetcli-fb (1:3.0.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix d/watch (Closes: #1065604)
  * New upstream version 3.0.1 (Closes: #1087108, #1065602)
  * Switch to pybuild-plugin-pyproject
  * Drop dependency on python3-six
  * Add d/gbp.conf
  * Replace python3-setuptools build-dep with python3-hatchling

 -- Alexandre Detiste <tchet@debian.org>  Wed, 01 Oct 2025 10:07:34 +0200

=== debian/control ===
Source: targetcli-fb
Section: admin
Priority: optional
Maintainer: Debian LIO Target Packagers <linux-target-packaging@lists.alioth.debian.org>
Uploaders: Christophe Vu-Brugier <cvubrugier@fastmail.fm>,
           Ritesh Raj Sarraf <rrs@debian.org>,
           Christian Seiler <christian@iwakd.de>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               python3-all,
               python3-configshell-fb,
               python3-dbus,
               python3-hatchling,
               python3-hatch-vcs,
               python3-rtslib-fb,
Standards-Version: 4.7.2
Homepage: https://github.com/open-iscsi/targetcli-fb
Vcs-Git: https://salsa.debian.org/linux-blocks-team/targetcli-fb.git
Vcs-Browser: https://salsa.debian.org/linux-blocks-team/targetcli-fb

Package: targetcli-fb
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         python3-configshell-fb,
         python3-dbus,
         python3-rtslib-fb,
Conflicts: targetcli, lio-utils
Description: Command shell for managing the Linux LIO kernel target
 The targetcli-fb package is a command-line interface for configuring
 the LIO generic SCSI target, present in 3.x Linux kernel versions.
 .
 The targetcli-fb package is a fork of the "targetcli" code written by
 RisingTide Systems. The "-fb" differentiates between the original and
 this version. Please ensure to use either all "fb" versions of the
 targetcli components -- targetcli, rtslib, and configshell, or stick
 with all non-fb versions, since they are no longer strictly
 compatible.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=pybuild

override_dh_installsystemd:
	dh_installsystemd \
		--no-stop-on-upgrade --no-enable --no-start \
		targetclid.service

=== debian/tests/control ===
Tests: ramdiskluns.sh
Restrictions: needs-root, isolation-machine
Depends: targetcli-fb

Tests: saveconfig.sh
Restrictions: needs-root, isolation-machine
Depends: targetcli-fb

=== debian/watch ===
version=4
opts=uversionmangle=s/fb//,dversionmangle=s/fb//,filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/targetcli-fb-$1\.tar\.gz/ \
 https://github.com/open-iscsi/targetcli-fb/tags (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@
